Bug 132111 - rhn_check crashes after only a few updates
rhn_check crashes after only a few updates
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
noarch Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-08 17:50 EDT by Red Hat Bugzilla
Modified: 2009-11-13 11:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-13 11:50:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Red Hat Bugzilla 2004-09-08 17:50:28 EDT
Description of problem: rhn_check crashes with error after installing 
only a few updates


Version-Release number of selected component (if applicable):


How reproducible: Standard update procedure from rhn using rhn_check


Steps to Reproduce:
1. schedule updates via rhn.redhat.com
2. rhn_check
3.
  
Actual results:

(Try #1)

https://xmlrpc.rhn.redhat.com/XMLRPC
Could not submit results to server <RetryServer for 
xmlrpc.rhn.redhat.com/XMLRPC>
Error code: -22
Error Message:
    Action 18829470 does not belong to server 1004865767
Error Class Code: 22
Error Class Info: Unable to retrieve requested entry.
Explanation:
     An error has occurred while processing your request. If this 
problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred 
and
     details on how to reproduce this problem.

(Try #2)

[root@dilbert root]# rhn_check
errata.update ([2354],)

Name                                    Version        Rel
----------------------------------------------------------
redhat-config-network                   1.2.63         
1                 noarch
redhat-config-network-tui               1.2.63         
1                 noarch

redhat-config-network-1.2.6 ########################## Done.
redhat-config-network-tui-1 ########################## Done.
Traceback (most recent call last):
  File "/usr/sbin/rhn_check", line 349, in ?
    handle_action(action)
  File "/usr/sbin/rhn_check", line 222, in handle_action
    (status, message, data) = run_action(method, params)
  File "/usr/sbin/rhn_check", line 177, in run_action
    (status, message, data) = do_call(method, params)
  File "/usr/sbin/rhn_check", line 94, in do_call
    retval = apply(method, params)
  File "/usr/share/rhn/actions/errata.py", line 58, in update
    return packages.update(packagelist)
  File "/usr/share/rhn/actions/packages.py", line 359, in update
    ret = _catchErrors(batchRun, "packages.update", (0, pkgList))
  File "/usr/share/rhn/actions/packages.py", line 195, in _catchErrors
    ret = apply(method, args)
  File "/usr/share/rhn/actions/packages.py", line 398, in batchRun
    actionPkgs = pkgList)
  File "wrapper.py", line 1066, in batchRun
  File "up2dateBatch.py", line 86, in run
  File "up2dateBatch.py", line 170, in __installPackages
  File "up2date.py", line 629, in installPackages
  File "up2date.py", line 171, in getRealHeader
OSError: [Errno 2] No such file or 
directory: '/var/spool/up2date/redhat-config-network-1.2.63-
1.noarch.rpm'

(Try #3)

samba-3.0.6-2.3E.i386.rpm:  ########################## Done.
samba-client-3.0.6-2.3E.i38 ########################## Done.
samba-common-3.0.6-2.3E.i38 ########################## Done.
Preparing              ########################################### 
[100%]
https://xmlrpc.rhn.redhat.com/XMLRPC
Could not submit results to server <RetryServer for 
xmlrpc.rhn.redhat.com/XMLRPC>
Error code: -22
Error Message:
    Action 18829491 does not belong to server 1004865767
Error Class Code: 22
Error Class Info: Unable to retrieve requested entry.
Explanation:
     An error has occurred while processing your request. If this 
problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred 
and
     details on how to reproduce this problem.



Expected results:


Additional info:

I have ran rhn_check multiple times today after the onslaught of 
update notifcations where emailed to me in the last 2 days.  I 
continually get an error.  Listed about are 3 errors.

The system in question is on static IP, dual fiber connections, with 
4 gigs of RAM and dual opteron.  We are currently using our exsisting 
32bit kernel (RHEL3)

uname -a :
Linux dilbert.paconnectonline.net 2.4.21-15.0.4.ELsmp #1 SMP Sat Jul 
31 01:25:25 EDT 2004 i686 athlon i386 GNU/Linux
Comment 1 Red Hat Bugzilla 2004-09-09 02:20:49 EDT
I am assuming this was related to a server error?  Everything seems 
to be working fine now.

The wording of the error made it sound like I needed to report it... 
sorry for the inconveince

Note You need to log in before you can comment on or make changes to this bug.